<div class="modal fade" id="createLandingRequestModal" tabindex="-1" role="dialog" aria-labelledby="createGroupModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-dialog-slideout modal-lg modal-shift-right" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title align-title" id="createGroupModalLabel">Request Access</h6>
                <button type="button" class="close" #closebutton data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                    <em></em>
                </button>
            </div>
            <div class="modal-body">
                <!-- create request access form -->
                <form id="template_driven" #requestForm="ngForm" novalidate>

                <div class="row">
                    <div class="col-md-12">
                        <span class="span-text-format">Requestor Information</span>
                        <hr/>
                    </div>
                    <div class="col-md-4 ml-2">
                        <label>User ID (521)</label>
                        <p class="fs-0">{{userInfo?.username}}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 ml-2">
                        <label>First Name</label>
                        <p class="fs-0">{{userInfo?.firstname}}</p>
                    </div>
                    <div class="col-md-4 ml-2">
                        <label>Last Name</label>
                        <div class="input-group">
                            <p class="fs-0">{{userInfo?.lastname}}</p>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4 ml-2">
                        <label>Email Address</label>
                        <p class="fs-0">{{userInfo?.email}}</p>
                    </div>
                    <div class="col-md-4 ml-2">
                        <label>Manager Email Address</label>
                        <div class="input-group">
                            <p class="fs-0">supervisor@novartis.com</p>
                        </div>
                        
                    </div>
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <span class="text-danger font-weight-bold margin-left">* </span>
                        <span class="span-text-format">Request Type</span>
                        <hr/>
                    </div>
                    <div class="col-md-12 ml-2">
                        <span class="mr-3" *ngFor="let req of requestType">
                          <ejs-radiobutton label="{{req.label}}" value="{{req.type}}" [(ngModel)]="type" name="default" cssClass="custom-radio-btn">
                          </ejs-radiobutton>
                        </span>  
                    </div>
                    
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <div class="panel-group" id="accordion">
                            <div class="panel panel-default" id="panel1">
                                <div class="panel-heading" (click)="expandPermision()">
                                    <h4 class="panel-title">
                                        <a data-toggle="collapse" data-target="#collapseApplications" href="#collapseApplications"
                                            class="collapsed">
                                            <span class="span-text-format">Applications you would like access to </span>
                                        </a>
                                    </h4>
                                </div>
                                <hr class="mt-0">
                                <div id="collapseApplications" class="panel-collapse collapse">
                                    <div class="panel-body" *ngIf="expandPermission">
                                        
                                        <ejs-accordion #accordion (expanding)="expanding($event)">
                                            <e-accordionitems>
                                                <e-accordionitem [expanded]='expandPermission' *ngFor="let functionality of functionality_list">
                                                    <ng-template #header>
                                                        <div><ejs-checkbox label="{{functionality.nodeText}}" [checked]="selectedFunctionality[functionality.nodeId]" (change)="change(functionality.nodeId)"></ejs-checkbox>
                                                            </div>
                                                    </ng-template>
                                                    <ng-template #content>
                                                        <div *ngFor="let role of functionality.roles | orderByAlphabetically : 'role_id' " class="ml-2 mb-2">
                                                            <ejs-radiobutton label="{{role.nodeText}}" value="{{role.nodeId}}" (change)="selectValue(functionality.nodeId, role.nodeId)" name="{{functionality.nodeId}}" 
                                                            cssClass="custom-radio-btn" [checked]="selectedFunctionality[functionality['nodeId']] == role.nodeId">
                                                            </ejs-radiobutton>
                                                        </div>
                                                    </ng-template>
                                                </e-accordionitem>
                                            </e-accordionitems>
                                        </ejs-accordion>

                                        <!-- <form id="modules" class="">
                                            <div id='treeparent'>
                                                <ejs-treeview  #treeelement [fields]="field" (nodeChecked)='nodeChecked($event)' cssClass="hideParent"></ejs-treeview>
                                            </div>
                                      </form> -->
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <div class="panel-group" id="accordion">
                            <div class="panel panel-default" id="panel1">
                                <div class="panel-heading">
                                    <h4 class="panel-title">
                                        <a data-toggle="collapse" data-target="#collapseLayers" href="#collapseLayers"
                                            class="collapsed">
                                            <span class="span-text-format">Layers you would like access to </span>
                                        </a>
                                    </h4>
                                </div>
                                <hr class="mt-0">
                                <div id="collapseLayers" class="panel-collapse collapse">
                                    <div class="panel-body">
                                    <form id="layers" class="mt-3 ml-1">
                                        <ejs-listbox #layerslist [dataSource]="layersDropDownList"  [fields]="{text: 'name',value: 'layer_id' }" 
                                        [selectionSettings]="selection"></ejs-listbox>
                                        
                                    </form>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="row mt-3">
                    <div class="col-md-12">
                        <span class="text-danger font-weight-bold margin-left">* </span>
                        <span class="span-text-format">Justification</span>
                        <hr/>
                    </div>
                    <div class="col-md-12 mt-2">
                        <input type="text" class="form-control ht-1"  placeholder="Enter Justification"  id="Justid" #JustIdval='ngModel' name="Justid" 
                        required [(ngModel)]="justification" />
                    </div>
                    <div *ngIf="(JustIdval.invalid && (JustIdval.dirty || JustIdval.touched))">
                        <div class="e-error ml-3" *ngIf="JustIdval.errors.required">
                            * Required
                        </div>
                     
                    </div>
                </div>

                <!-- create Request access form -->
          
          
          
            </form>
          
            </div>

            
            <div class="modal-footer align-footer">
                <button type="button" class="actionButton btn btn-primary btn-modal-submit" [disabled]="requestForm.invalid || !type" id="closeModal" (click)="submitAccessRequest()">Submit</button>
                <button type="button" class="actionButton btn btn-secondary btn-modal-cancel cmr-1"  data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>